| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions
Tp::ServerAuthenticationChannel Class Reference
Channel proxies

The ServerAuthenticationChannel class is a base class for all ServerAuthentication types. More...

`#include <TelepathyQt/ServerAuthenticationChannel>`

Inherits Tp::Channel.

List of all members.

## Public Member Functions

- virtual ~ServerAuthenticationChannel ()
- CaptchaAuthenticationPtr captchaAuthentication () const
- bool hasCaptchaInterface () const

## Static Public Member Functions

- static
  ServerAuthenticationChannelPtr create (const ConnectionPtr &connection, const QString &objectPath, const QVariantMap &immutableProperties)

## Static Public Attributes

- static const Feature FeatureCore

## Protected Member Functions

- ServerAuthenticationChannel (const ConnectionPtr &connection, const QString &objectPath, const QVariantMap &immutableProperties, const Feature &coreFeature=ServerAuthenticationChannel::FeatureCore)

## Detailed Description

The ServerAuthenticationChannel class is a base class for all ServerAuthentication types.

A ServerAuthentication is a mechanism for a connection to perform an authentication operation. Such an authentication can happen in several ways (at the moment, only Captcha is supported) - this channel will expose a high-level object representing the requested method, allowing a handler to carry on the authentication procedure.

Note that when an authentication procedure succeeds, you can expect this channel to be closed automatically. Please refer to the methods' implementation docs for more details about this.

See Asynchronous Object Model, Shared Pointer Usage

## Constructor & Destructor Documentation

Tp::ServerAuthenticationChannel::~ServerAuthenticationChannel | ( |  | ) | `[virtual]`

Class destructor.

Tp::ServerAuthenticationChannel::ServerAuthenticationChannel | ( | const ConnectionPtr & | connection,
|  | const QString & | objectPath,
|  | const QVariantMap & | immutableProperties,
|  | const Feature & | coreFeature = `ServerAuthenticationChannel::FeatureCore`
| ) |  | `[protected]`

Construct a new ServerAuthenticationChannel object.

Parameters:

  connection | Connection owning this channel, and specifying the service.
  objectPath | The channel object path.
  immutableProperties | The channel immutable properties.
  coreFeature | The core feature of the channel type, if any. The corresponding introspectable should depend on ServerAuthenticationChannel::FeatureCore.

## Member Function Documentation

ServerAuthenticationChannelPtr Tp::ServerAuthenticationChannel::create | ( | const ConnectionPtr & | connection,
|  | const QString & | objectPath,
|  | const QVariantMap & | immutableProperties
| ) |  | `[static]`

Create a new ServerAuthenticationChannel channel.

Parameters:

  connection | Connection owning this channel, and specifying the service.
  objectPath | The channel object path.
  immutableProperties | The channel immutable properties.

Returns:
  A ServerAuthenticationChannelPtr object pointing to the newly created ServerAuthenticationChannel object.

Reimplemented from Tp::Channel.

CaptchaAuthenticationPtr Tp::ServerAuthenticationChannel::captchaAuthentication | ( |  | ) | const

Return the CaptchaAuthentication object for this channel, if the channel implements the CaptchaAuthentication interface and is a ServerAuthentication Channel.

Note that this method will return a meaningful value only if hasCaptchaInterface() returns `true`.

This method requires ServerAuthenticationChannel::FeatureCore to be ready.

Returns:
  A shared pointer to the object representing the CaptchaAuthentication interface, or a null shared pointer if the feature is not ready yet or the channel does not implement Captcha interface.

See also:
  hasCaptchaInterface

bool Tp::ServerAuthenticationChannel::hasCaptchaInterface | ( |  | ) | const

Return whether this ServerAuthenticationChannel implements Captcha as its authentication mechanism. Should this be true, captchaAuthentication() can be safely accessed.

This method requires ServerAuthenticationChannel::FeatureCore to be ready.

Returns:
  `true` if this channel implements the Captcha interface, `false` otherwise.

See also:
  captchaAuthentication

## Member Data Documentation

const Feature Tp::ServerAuthenticationChannel::FeatureCore`[static]`

Feature representing the core that needs to become ready to make the ServerAuthenticationChannel object usable.

Note that this feature must be enabled in order to use most ServerAuthenticationChannel methods. See specific methods documentation for more details.

Reimplemented from Tp::Channel.